Skip to main content

Get Account Stats

POST

Retrieves statistics for a specific address. Account activity can be analyzed through transaction data, transfer events, assets, and other information for the account.
Path Parameters
chainstringrequired
Parameter specifying the target chain to query.
networkstringrequired
Parameter specifying the network of the target chain.
Request Body
addressstringrequired
Parameter specifying the account address to query. This field uses a 34-character base58 string format starting with "T".
Responses
Object containing transaction count information associated with the queried address.
externalnumber
Number of external transactions where the queried address is included in the from or to field.
internalnumber
Number of internal transactions where the queried address is included in the from or to field.
Object containing transfer event count information associated with the queried address.
tokensnumber
Number of token transfer events where the queried address is included in the from or to field. Token types include both TRC10 and TRC20.
Object containing asset information owned by the queried address.
tokensnumber
Number of token types held by the queried address. Token types include both TRC10 and TRC20.
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "MISSING_REQUIRED_PARAMETER",
"message": "Missing required parameter: { PARAMETER_NAME }"
}
cURL
curl -X POST 'https://web3.nodit.io/v1/tron/mainnet/stats/getAccountStats' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"address": "T9123456789012345678901234567890123456789"
}'